org.firebirdsql.jdbc

## Class FBObjectListener.NoActionBlobListener

- java.lang.Object
- - org.firebirdsql.jdbc.FBObjectListener.NoActionBlobListener

All Implemented Interfaces:
  FBObjectListener.BlobListener

Enclosing interface:
  FBObjectListener

    public static final class FBObjectListener.NoActionBlobListener
    extends java.lang.Object
    implements FBObjectListener.BlobListener

Implementation of `FBObjectListener.BlobListener` that implements all methods as empty methods.

### Method Summary

Methods
`void` `executionCompleted(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been completed.
`void` `executionStarted(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been started.
`static FBObjectListener.BlobListener` `instance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static FBObjectListener.BlobListener instance()

#### executionStarted

    public void executionStarted(FirebirdBlob blob)
                          throws java.sql.SQLException

Description copied from interface: `FBObjectListener.BlobListener`
Notify listener that execution of some BLOB operation had been started.

Specified by:
  `executionStarted` in interface `FBObjectListener.BlobListener`
Parameters:
  `blob` - instance of `FirebirdBlob` that caused this event.
Throws:
  `java.sql.SQLException` - if something went wrong.

#### executionCompleted

    public void executionCompleted(FirebirdBlob blob)
                            throws java.sql.SQLException

Description copied from interface: `FBObjectListener.BlobListener`
Notify listener that execution of some BLOB operation had been completed.

Specified by:
  `executionCompleted` in interface `FBObjectListener.BlobListener`
Parameters:
  `blob` - instance of `FirebirdBlob` that caused this event.
Throws:
  `java.sql.SQLException` - if something went wrong.